<?php
/**
 * Plugin Name: antisocial-scrobble
 * Description: scrobble your music, with album cover support
 * Version: 20241011
 * Author: antisocial.moe
 */

// Prevent direct access to the file
if (!defined('ABSPATH')) {
    exit;
}

// Include the separate plugins
require_once(plugin_dir_path(__FILE__) . 'album-collage-generator.php');
require_once(plugin_dir_path(__FILE__) . 'album-scores.php');
require_once(plugin_dir_path(__FILE__) . 'scrobble-handler.php');

// Initialize both classes
new AlbumCollageGenerator();
new ScrobbleHandler();
new AlbumScoreManager();
